actions: []
api_documentation: http://docs.ros.org/en/noetic/api/pointcloud_to_laserscan/html
authors: Paul Bovbel <paul@bovbel.com>, Tully Foote
brief: ''
bugtracker: https://github.com/ros-perception/perception_pcl/issues
depends:
- catkin
- laser_geometry
- message_filters
- nodelet
- roscpp
- sensor_msgs
- tf2
- tf2_ros
- tf2_sensor_msgs
depends_on:
- husky_gazebo
description: Converts a 3D Point Cloud into a 2D laser scan. This is useful for making
  devices like the Kinect appear like a laser scanner for 2D-based algorithms (e.g.
  laser-based SLAM).
devel_jobs:
- https://build.ros.org/view/Ndev_db/job/Ndev_db__pointcloud_to_laserscan__debian_buster_amd64
- https://build.ros.org/view/Ndev/job/Ndev__pointcloud_to_laserscan__ubuntu_focal_amd64
doc_job: https://build.ros.org/view/Ndoc/job/Ndoc__pointcloud_to_laserscan__ubuntu_focal_amd64
has_changelog_rst: true
license: BSD
maintainer_status: maintained
maintainers: Paul Bovbel <paul@bovbel.com>, Michel Hidalgo <michel@ekumenlabs.com>
msgs: []
package_type: package
release_jobs:
- https://build.ros.org/view/Nsrc_dB/job/Nsrc_dB__pointcloud_to_laserscan__debian_buster__source
- https://build.ros.org/view/Nsrc_uF/job/Nsrc_uF__pointcloud_to_laserscan__ubuntu_focal__source
- https://build.ros.org/view/Nbin_db_dB64/job/Nbin_db_dB64__pointcloud_to_laserscan__debian_buster_amd64__binary
- https://build.ros.org/view/Nbin_dbv8_dBv8/job/Nbin_dbv8_dBv8__pointcloud_to_laserscan__debian_buster_arm64__binary
- https://build.ros.org/view/Nbin_uF64/job/Nbin_uF64__pointcloud_to_laserscan__ubuntu_focal_amd64__binary
- https://build.ros.org/view/Nbin_ufhf_uFhf/job/Nbin_ufhf_uFhf__pointcloud_to_laserscan__ubuntu_focal_armhf__binary
- https://build.ros.org/view/Nbin_ufv8_uFv8/job/Nbin_ufv8_uFv8__pointcloud_to_laserscan__ubuntu_focal_arm64__binary
repo_name: pointcloud_to_laserscan
repo_url: https://github.com/ros-perception/perception_pcl
srvs: []
timestamp: 1646210456.723135
url: http://ros.org/wiki/perception_pcl
vcs: git
vcs_uri: https://github.com/ros-perception/pointcloud_to_laserscan.git
vcs_version: lunar-devel
